This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 169657 - local variable used before set
local variable used before set
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-30 14:07 EDT by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-20 16:11:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-09-30 14:07:49 EDT
Description of problem:

I just tried to compile Fedora development package rpm-4.4.2-5
with the new GNU C compiler version 4.0.2 and the compiler flag -Wall.

The compiler said

compress.c:442: warning: 'pid2' is used uninitialized in this function

The source code is

                waitpid(pid2, NULL, 0);

I agree with the compiler. Suggest initialise local variable "pid2"
before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Johnson 2006-01-20 16:11:35 EST
FWIW, this code is never traversed if HAVE_LIBZ is defined.

Fixed by upgrading to later version of file internal to (at least) rpm-4.4.5.

Note You need to log in before you can comment on or make changes to this bug.